# Ruuaby
RUUABY - Russian, Ukraine, Belarus regions, areas and cities

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ruuaby'
```

or

```ruby
gem 'ruuaby', github: 'kodnaplakal/ruuaby'
```

And then execute:

    $ bundle

## Data

Data get from vk.com Database api, for update run:

```ruby
rake update
```

this generate new db/data.json file with new cities and areas

## Super simple API

```ruby
Ruuaby.data_path = "db/"
Ruuaby.load_data
```

Get country:

```ruby
Ruuaby.countries["Россия"]
```

Get region:

```ruby
Ruuaby.countries["Россия"]["Московская область"]
```

Get area:

```ruby
Ruuaby.countries["Россия"]["Московская область"]["Подольский район"]
```

Get cities:

```ruby
Ruuaby.countries["Россия"]["Московская область"]["Подольский район"].each do |city_name|

end
```

Or use each:

```ruby
Ruuaby.each do |country_name, region_name, area_name, city_name|
  
end
```

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

